page_title: Understand how to contribute
page_description: Explains basic workflow for Docker contributions
page_keywords: contribute, maintainers, review, workflow, process

<!-- TODO (@thaJeztah) remove after docs/base is updated -->
<style type="text/css">
.tg    {border-collapse:collapse;border-spacing:0;margin-bottom:15px;}
.tg td {background-color: #fff;padding:5px 5px;border-style:solid;border-width:1px;overflow:hidden;word-break:normal;vertical-align:top;}
.tg th {font-weight:bold;padding:5px 5px;border-style:solid;border-width:1px;overflow:hidden;word-break:normal;text-align:left;}
.tg .tg-e3zv{width:150px;}
</style>

<style>

/* GitHub label styles */
.gh-label {
    display: inline-block;
    padding: 3px 4px;
    font-size: 11px;
    font-weight: bold;
    line-height: 1;
    color: #fff;
    border-radius: 2px;
    box-shadow: inset 0 -1px 0 rgba(0,0,0,0.12);
}

.gh-label.black-belt  { background-color: #000000; color: #ffffff; }
.gh-label.bug         { background-color: #fc2929; color: #ffffff; }
.gh-label.improvement { background-color: #bfe5bf; color: #2a332a; }
.gh-label.project-doc { background-color: #207de5; color: #ffffff; }
.gh-label.white-belt  { background-color: #ffffff; color: #333333; }

</style>

# Understand how to contribute

Contributing is a process where you work with Docker maintainers and the
community to improve Docker. The maintainers are experienced contributors who specialize in one or more Docker components. Maintainers play a big role in reviewing contributions.

There is a formal process for contributing. We try to keep our contribution
process simple so you'll want to contribute frequently.


## The basic contribution workflow

In this guide, you work through Docker's basic contribution workflow by fixing a
single *white-belt* issue in the `docker/docker` repository. The workflow
for fixing simple issues looks like this:

![Simple process](/project/images/existing_issue.png)

All Docker repositories have code and documentation. You use this same workflow
for either content type. For example, you can find and fix doc or code issues.
Also, you can propose a new Docker feature or propose a new Docker tutorial. 

Some workflow stages do have slight differences for code or documentation
contributions. When you reach that point in the flow, we make sure to tell you.


## Where to go next

Now that you know a little about the contribution process, go to the next section to [find an issue you want to work on](/project/find-an-issue/).
